Package com.sun.jna.platform.win32

## Class OaIdl.ARRAYDESC

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.ARRAYDESC

Direct Known Subclasses:
  `OaIdl.ARRAYDESC.ByReference`

Enclosing interface:
  OaIdl

    @FieldOrder({"tdescElem","cDims","rgbounds"})
    public static class OaIdl.ARRAYDESC
    extends Structure

### Nested Class Summary

Nested Classes
`static class` `OaIdl.ARRAYDESC.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`short` `cDims`
`OaIdl.SAFEARRAYBOUND[]` `rgbounds` [size_is] C type : SAFEARRAYBOUND[1]
`OaIdl.TYPEDESC` `tdescElem`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`ARRAYDESC()`
`ARRAYDESC​(OaIdl.TYPEDESC tdescElem, short cDims, OaIdl.SAFEARRAYBOUND[] rgbounds)`
`ARRAYDESC​(Pointer pointer)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### tdescElem

    public OaIdl.TYPEDESC tdescElem

#### cDims

    public short cDims

#### rgbounds

    public OaIdl.SAFEARRAYBOUND[] rgbounds

[size_is]
C type : SAFEARRAYBOUND[1]

### Constructor Detail

#### ARRAYDESC

    public ARRAYDESC()

#### ARRAYDESC

    public ARRAYDESC​(Pointer pointer)

#### ARRAYDESC

    public ARRAYDESC​(OaIdl.TYPEDESC tdescElem,
                     short cDims,
                     OaIdl.SAFEARRAYBOUND[] rgbounds)

Parameters:
  `tdescElem` - C type : TYPEDESC
  `cDims` - dimensions
  `rgbounds` - [size_is]
  C type : SAFEARRAYBOUND[1]